{
    attributes = (
        {
            columnName = deploymentMode; 
            name = deploymentMode; 
            valueClassName = NSString; 
            valueType = S; 
        }, 
        {columnName = id; name = id; valueClassName = NSNumber; valueType = i; }, 
        {
            allowsNull = Y; 
            columnName = orderRequestID; 
            name = orderRequestID; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = punchOutSetupRequestID; 
            name = punchOutSetupRequestID; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (deploymentMode, id, orderRequestID, punchOutSetupRequestID); 
    className = "org.cocktail.fwkcktlb2b.cxml.server.metier.EORequest"; 
    classProperties = (deploymentMode, orderRequest, punchOutSetupRequest); 
    externalName = Request; 
    fetchSpecificationDictionary = {}; 
    name = Request; 
    primaryKeyAttributes = (id); 
    relationships = (
        {
            destination = OrderRequest; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = id; sourceAttribute = orderRequestID; }); 
            name = orderRequest; 
        }, 
        {
            destination = PunchOutSetupRequest; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = id; sourceAttribute = punchOutSetupRequestID; }); 
            name = punchOutSetupRequest; 
        }
    ); 
}
